<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 https://maven.apache.org/xsd/maven-4.0.0.xsd">
	<modelVersion>4.0.0</modelVersion>
	<groupId>vientospatagonicosbbdd2</groupId>
	<artifactId>vientospatagonicosbbdd2</artifactId>
	<version>0.0.1-SNAPSHOT</version>

	<properties>
		<project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
		<main.class>ar.unrn.tp.web.Main</main.class>
	</properties>
	
	<dependencies>
		<dependency>
			<groupId>io.javalin</groupId>
		    <artifactId>javalin</artifactId>
		    <version>4.6.4</version>
		</dependency>

		<!-- https://mvnrepository.com/artifact/com.alibaba/fastjson -->
		<dependency>
		    <groupId>com.alibaba</groupId>
		    <artifactId>fastjson</artifactId>
		    <version>2.0.19</version>
		</dependency>
				
		<!-- https://mvnrepository.com/artifact/org.slf4j/slf4j-simple -->
		<dependency>
		    <groupId>org.slf4j</groupId>
		    <artifactId>slf4j-simple</artifactId>
		    <version>1.7.31</version>
		    <scope>test</scope>
		</dependency>
			
		<!-- https://mvnrepository.com/artifact/com.fasterxml.jackson.core/jackson-databind -->
		<dependency>
		    <groupId>com.fasterxml.jackson.core</groupId>
		    <artifactId>jackson-databind</artifactId>
		    <version>2.13.4</version>
		</dependency>
		
		<!-- https://mvnrepository.com/artifact/org.json/json -->
		<dependency>
			<groupId>org.json</groupId>
			<artifactId>json</artifactId>
			<version>20220320</version>
		</dependency>
		
		<!-- Hibernate -->
		<dependency>
			<groupId>org.hibernate</groupId>
			<artifactId>hibernate-core</artifactId>
			<version>5.4.10.Final</version>
		</dependency>

		<!-- https://mvnrepository.com/artifact/mysql/mysql-connector-java -->
		<dependency>
		    <groupId>mysql</groupId>
		    <artifactId>mysql-connector-java</artifactId>
		    <version>8.0.30</version>
		</dependency>
	
		<!-- redis -->
		<dependency>
		    <groupId>redis.clients</groupId>
		    <artifactId>jedis</artifactId>
		    <version>4.3.0</version>
		</dependency>
				
	</dependencies>  
	
	<build>
    	<sourceDirectory>src</sourceDirectory>
    	<testSourceDirectory>test</testSourceDirectory>
    	<resources>
      		<resource>
        		<directory>src</directory>
        		<excludes>
          			<exclude>**/*.java</exclude>
        		</excludes>
      		</resource>
      		<resource>
        		<directory>etc</directory>
        		<excludes>
          			<exclude>**/*.java</exclude>
        		</excludes>
      		</resource>
    	</resources>
   		<plugins>
      		<plugin>
        		<artifactId>maven-compiler-plugin</artifactId>
        		<version>3.8.1</version>
        		<configuration>
          			<source>10</source>
          			<target>10</target>
        		</configuration>
      		</plugin>
			<plugin>
				<groupId>org.codehaus.mojo</groupId>
				<artifactId>exec-maven-plugin</artifactId>
				<version>1.6.0</version>
				<executions>
					<execution>
						<goals>
							<goal>java</goal>
						</goals>
					</execution>
				</executions>
				<configuration>
					<mainClass>${main.class}</mainClass>
				</configuration>
			</plugin>      		
    	</plugins>
	</build>

</project>